require 'fakefs/safe'
Dir.glob(File.join(File.dirname(__FILE__), '../lib/**/*.rb')).each {|f| require f}

RSpec.configure do |config|
  config.treat_symbols_as_metadata_keys_with_true_values = true
  config.run_all_when_everything_filtered = true
  config.filter_run :focus
  config.order = 'random'

  config.before(:each) do
    FakeFS.activate!
  end

  config.after(:each) do
    FakeFS.deactivate!
  end
end
